Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.jobs.ee.jms
Class JmsHelper

    java.lang.Object
      org.quartz.jobs.ee.jms.JmsHelper

    public final class JmsHelper

extends Object

Utility class that aids in the processing of JMS based jobs and sending of `javax.jms.Message`

Author:
  Fernando Ribeiro, Weston M. Price

Field Summary
`static String` | `CREDENTIALS`
`static String` | `INITIAL_CONTEXT_FACTORY`
`static String` | `JMS_ACK_MODE`
`static String` | `JMS_CONNECTION_FACTORY_JNDI`
`static String` | `JMS_DESTINATION_JNDI`
`static String` | `JMS_MSG_FACTORY_CLASS_NAME`
`static String` | `JMS_PASSWORD`
`static String` | `JMS_USE_TXN`
`static String` | `JMS_USER`
`static String` | `PRINCIPAL`
`static String` | `PROVIDER_URL`

Method Summary
`static void` | `closeResource(Object resource)`
`static InitialContext` | `getInitialContext(JobDataMap dataMap)`
`static JmsMessageFactory` | `getMessageFactory(String name)`
`static boolean` | `isDestinationSecure(JobDataMap dataMap)`
`static boolean` | `useTransaction(JobDataMap dataMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREDENTIALS

    public static final String CREDENTIALS

See Also:
  Constant Field Values

### INITIAL_CONTEXT_FACTORY

    public static final String INITIAL_CONTEXT_FACTORY

See Also:
  Constant Field Values

### JMS_ACK_MODE

    public static final String JMS_ACK_MODE

See Also:
  Constant Field Values

### JMS_CONNECTION_FACTORY_JNDI

    public static final String JMS_CONNECTION_FACTORY_JNDI

See Also:
  Constant Field Values

### JMS_DESTINATION_JNDI

    public static final String JMS_DESTINATION_JNDI

See Also:
  Constant Field Values

### JMS_MSG_FACTORY_CLASS_NAME

    public static final String JMS_MSG_FACTORY_CLASS_NAME

See Also:
  Constant Field Values

### JMS_PASSWORD

    public static final String JMS_PASSWORD

See Also:
  Constant Field Values

### JMS_USE_TXN

    public static final String JMS_USE_TXN

See Also:
  Constant Field Values

### JMS_USER

    public static final String JMS_USER

See Also:
  Constant Field Values

### PRINCIPAL

    public static final String PRINCIPAL

See Also:
  Constant Field Values

### PROVIDER_URL

    public static final String PROVIDER_URL

See Also:
  Constant Field Values

Method Detail

### closeResource

    public static void closeResource(Object resource)

### getInitialContext

    public static InitialContext getInitialContext(JobDataMap dataMap)
                                            throws NamingException

  Throws:
    `NamingException`

### getMessageFactory

    public static JmsMessageFactory getMessageFactory(String name)
                                               throws JmsJobException

  Throws:
    `JmsJobException`

### isDestinationSecure

    public static boolean isDestinationSecure(JobDataMap dataMap)

### useTransaction

    public static boolean useTransaction(JobDataMap dataMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.